tapi-archive(1)

NAME
tapi-archive - Merge or thin text-based stub files

SYNOPSIS
tapi archive [--help] [--version] tapi archive --info <file> tapi archive --verify-arch <architecture> <file> tapi archive --extract <architecture> <file> -o <file> tapi archive --remove <architecture> <file> -o <file> tapi archive --merge <files> -o <file>

DESCRIPTION

The archive command is used to inspect and manipulate text-based stub files.

OPTIONS

--info
    List the architectures in the input file.

--verify-arch <architecture>
    Test if the specified architecture is in the input file. Returns 0 on success and 1 otherwise.

--extract <architecture>
    Extracts the specified architecture and writes the result to a new file.

--remove <architecture>
    Removes the specified architecture and writes the result to a new file.

--merge
    Merges the provides input files into a single text-based stub file. This only works if the input files are for the same library and the only difference are the architectures.

-o <file>
    Write output to <file>.

--help
    Prints the list of options.

--version
    Prints the program version.

SEE ALSO
tapi(1), ld(1), lipo(1)